Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.drivers
Interface KeyDriver

All Known Implementing Classes:
  KeyEventDriver, KeyRobotDriver

public interface KeyDriver

Defines how to simulate keyboard operations.

Method Summary
`void` | `pressKey(ComponentOperator oper, int keyCode, int modifiers)` Presses a key.
`void` | `pushKey(ComponentOperator oper, int keyCode, int modifiers, Timeout pushTime)` Pushes a key.
`void` | `releaseKey(ComponentOperator oper, int keyCode, int modifiers)` Releases a key.
`void` | `typeKey(ComponentOperator oper, int keyCode, char keyChar, int modifiers, Timeout pushTime)` Types a symbol.

Method Detail

### pressKey

    public void pressKey(ComponentOperator oper,
                         int keyCode,
                         int modifiers)

  Presses a key.
  Parameters:
    `oper` - Component operator.
    `keyCode` - Key code (`KeyEvent.VK_*` value)
    `modifiers` - a combination of `InputEvent.*_MASK` fields.

### releaseKey

    public void releaseKey(ComponentOperator oper,
                           int keyCode,
                           int modifiers)

  Releases a key.
  Parameters:
    `oper` - Component operator.
    `keyCode` - Key code (`KeyEvent.VK_*` value)
    `modifiers` - a combination of `InputEvent.*_MASK` fields.

### pushKey

    public void pushKey(ComponentOperator oper,
                        int keyCode,
                        int modifiers,
                        Timeout pushTime)

  Pushes a key.
  Parameters:
    `oper` - Component operator.
    `keyCode` - Key code (`KeyEvent.VK_*` value)
    `modifiers` - a combination of `InputEvent.*_MASK` fields.
    `pushTime` - Time between pressing and releasing.

### typeKey

    public void typeKey(ComponentOperator oper,
                        int keyCode,
                        char keyChar,
                        int modifiers,
                        Timeout pushTime)

  Types a symbol.
  Parameters:
    `oper` - Component operator.
    `keyCode` - Key code (`KeyEvent.VK_*` value)
    `keyChar` - Symbol to be typed.
    `modifiers` - a combination of `InputEvent.*_MASK` fields.
    `pushTime` - Time between pressing and releasing.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD